Bug 797856

Summary: mount to a volume caused nfs server crash
Product: [Community] GlusterFS Reporter: Shwetha Panduranga <shwetha.h.panduranga>
Component: nfsAssignee: Vinayaga Raman <vraman>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: high    
Version: mainlineCC: amarts, gluster-bugs, rwheeler
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: glusterfs-3.4.0 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-07-24 14:03:23 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 817967    
Attachments:
Description Flags
attaching nfs log none

Description Shwetha Panduranga 2012-02-27 06:28:54 EST
Created attachment 566014 [details]
attaching nfs log

Description of problem:
mount -t nfs <volume> < mount point > caused nfs server crash with auth.allow option set. 

(gdb) bt
#0  0x0000003af1a32905 in raise () from /lib64/libc.so.6
#1  0x0000003af1a340e5 in abort () from /lib64/libc.so.6
#2  0x0000003af1a2b9be in __assert_fail_base () from /lib64/libc.so.6
#3  0x0000003af1a2ba80 in __assert_fail () from /lib64/libc.so.6
#4  0x0000000004c59962 in gf_mem_set_acct_info (xl=0x4e9b420, alloc_ptr=0xe8c4d50, size=88, type=110) at mem-pool.c:96
#5  0x0000000004c59c43 in __gf_calloc (nmemb=1, size=88, type=110) at mem-pool.c:151
#6  0x0000000009491830 in nlm4_establish_callback (csarg=0x99c68ec) at nlm4.c:895
#7  0x0000003af1e077e1 in start_thread () from /lib64/libpthread.so.0
#8  0x0000003af1ae577d in clone () from /lib64/libc.so.6
(gdb) up
#1  0x0000003af1a340e5 in abort () from /lib64/libc.so.6
(gdb) 
#2  0x0000003af1a2b9be in __assert_fail_base () from /lib64/libc.so.6
(gdb) 
#3  0x0000003af1a2ba80 in __assert_fail () from /lib64/libc.so.6
(gdb) 
#4  0x0000000004c59962 in gf_mem_set_acct_info (xl=0x4e9b420, alloc_ptr=0xe8c4d50, size=88, type=110) at mem-pool.c:96
96	                GF_ASSERT (0);
(gdb) list
91	        if (!(xl->mem_acct.rec)) {
92	                GF_ASSERT (0);
93	        }
94	
95	        if (type > xl->mem_acct.num_types) {
96	                GF_ASSERT (0);
97	        }
98	
99	        LOCK(&xl->mem_acct.rec[type].lock);
100	        {
(gdb) p type
$1 = 110
(gdb) p xl->mem_acct.num_types 
$2 = 96
(gdb) bt full
#0  0x0000003af1a32905 in raise () from /lib64/libc.so.6
No symbol table info available.
#1  0x0000003af1a340e5 in abort () from /lib64/libc.so.6
No symbol table info available.
#2  0x0000003af1a2b9be in __assert_fail_base () from /lib64/libc.so.6
No symbol table info available.
#3  0x0000003af1a2ba80 in __assert_fail () from /lib64/libc.so.6
No symbol table info available.
#4  0x0000000004c59962 in gf_mem_set_acct_info (xl=0x4e9b420, alloc_ptr=0xe8c4d50, size=88, type=110) at mem-pool.c:96
        ptr = 0x66ef4b0 ""
        __PRETTY_FUNCTION__ = "gf_mem_set_acct_info"
#5  0x0000000004c59c43 in __gf_calloc (nmemb=1, size=88, type=110) at mem-pool.c:151
        tot_size = 128
        req_size = 88
        ptr = 0x66ef4b0 ""
        xl = 0x4e9b420
        __FUNCTION__ = "__gf_calloc"
#6  0x0000000009491830 in nlm4_establish_callback (csarg=0x99c68ec) at nlm4.c:895
        cs = 0x99c68ec
        sa = {ss_family = 10, __ss_align = 0, __ss_padding = "\000\000\377\377\300\250\002\001", '\000' <repeats 103 times>}
        sockaddr = 0xe8c4de0
        options = 0xdb14950
        peerip = "::ffff:192.168.2.1", '\000' <repeats 28 times>
        portstr = 0x66dd1a0 "0"
        rpc_clnt = 0xdb14db0
        port = 0
        ret = 0
        caller_name = 0x66db480 "Shwetha-Laptop"
        __FUNCTION__ = "nlm4_establish_callback"
        cm = 0x0
#7  0x0000003af1e077e1 in start_thread () from /lib64/libpthread.so.0
No symbol table info available.
#8  0x0000003af1ae577d in clone () from /lib64/libc.so.6
No symbol table info available.


Version-Release number of selected component (if applicable):
mainline

Steps to Reproduce:
1.gluster volume create <vol1> <brick1>
2.gluster volume set auth.allow <address>
3.gluster volume start <vol1>
4.mount -t nfs <vol> <mount_point> from client 

Actual results:
nfs server crashed

Expected results:
Mount should be successful
Comment 1 Amar Tumballi 2012-03-12 05:34:58 EDT
should be fixed by http://review.gluster.com/2842
Comment 2 Shwetha Panduranga 2012-05-04 04:21:31 EDT
Bug is fixed . verified on 3.3.0qa39